package cn.iocoder.yudao.module.member.controller.admin.excelImport.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;

import java.math.BigDecimal;

/**
 * @author zt
 * @description <description class purpose>
 * @since 2024/11/5
 */

@ExcelIgnoreUnannotated
public class RechargeExcel {

    /**
     * 用名字去匹配，这里需要注意，如果名字重复，会导致只有一个字段读取到数据
     */
    @ExcelProperty(index = 0)
    public String name;

    @ExcelProperty(index = 1)
    public String mobile;

    @ExcelProperty( index = 2)
    public BigDecimal money;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    @Override
    public String toString() {
        return "RechargeExcel{" +
                "name='" + name + '\'' +
                ", mobile='" + mobile + '\'' +
                ", money=" + money +
                '}';
    }
}
